Guide Open Source

GUIDE E MANUALI DEL MONDO LINUX E CMS

Guide Open Source

GUIDE E MANUALI DEL MONDO LINUX E CMS

Guide Open Source

GUIDE E MANUALI DEL MONDO LINUX E CMS

Come aggiungere automaticamente un Disclaimer ai messaggi di posta elettronica in uscita con alterMIME (Postfix su Debian Lenny)

In questa esercitazione viene illustrato come installare e utilizzare alterMIME. alterMIME è uno strumento che può aggiungere automaticamente un disclaimer ai messaggi di posta elettronica. In questo articolo vi spiegherò come installarlo come un filtro di Postfix su Debian Lenny.

Io non rilasciano alcuna garanzia che questo funziona per voi!

 

1 Nota preliminare

Sto assumendo che Postfix è già installato e perfettamente funzionante – non vi spiegherò come configurare Postfix e configurare account di posta elettronica in questo tutorial.

 

2 installazione alterMIME

alterMIME può essere installato come segue:

aptitude install altermime

Successivamente creiamo l’ utente filtro con il filtro /var/spool/filter directory home – alterMIME verrà eseguito come utente:

useradd -r -c "Postfix Filters" -d /var/spool/filter filter
 mkdir /var/spool/filter
 chown filter:filter /var/spool/filter
 chmod 750 /var/spool/filter

Successivamente creiamo il script /etc/postfix/disclaimer che esegue alterMIME. AlterMIME pacchetto Debian viene fornito con uno script di esempio che possiamo semplicemente copiare a /etc/postfix/disclaimer:

cp /usr/share/doc/altermime/examples/postfix_filter.sh /etc/postfix/disclaimer
 chgrp filter /etc/postfix/disclaimer
 chmod 750 /etc/postfix/disclaimer

Ora il problema con questo script è che esso non fa distinzione tra email in entrata e in uscita – si aggiunge semplicemente un disclaimer a tutte le mail. In genere si desidera dichiarazioni di non responsabilità solo per le email in uscita e anche allora non per tutti gli indirizzi di mittente. Pertanto ho modificato lo script di /etc/postfix/disclaimer un po ‘ – ti veniamo a che in un minuto.

Proprio ora, creiamo il file /etc/postfix/disclaimer_addresses che contiene tutti gli indirizzi di posta elettronica del mittente (uno per riga) per cui alterMIME dovrebbe aggiungere un disclaimer:

vi /etc/postfix/disclaimer_addresses
falko@example.com
joe@example.org
tom@example.net

Ora apriamo /etc/postfix/disclaimer e modificarlo come segue (ho segnato le parti che ho cambiato):

vi /etc/postfix/disclaimer
#!/bin/sh
# Localize these.
INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail

####### Changed From Original Script #######
DISCLAIMER_ADDRESSES=/etc/postfix/disclaimer_addresses
####### Changed From Original Script END #######

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }

cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

####### Changed From Original Script #######
# obtain From address
from_address=`grep -m 1 "From:" in.$$ | cut -d "<" -f 2 | cut -d ">" -f 1`

if [ `grep -wi ^${from_address}$ ${DISCLAIMER_ADDRESSES}` ]; then
  /usr/bin/altermime --input=in.$$ \
                   --disclaimer=/etc/postfix/disclaimer.txt \
                   --disclaimer-html=/etc/postfix/disclaimer.txt \
                   --xheader="X-Copyrighted-Material: Please visit http://www.company.com/privacy.htm" || \
                    { echo Message content rejected; exit $EX_UNAVAILABLE; }
fi
####### Changed From Original Script END #######

$SENDMAIL "$@" <in.$$

exit $?

Successivamente è necessario il file di testo /etc/postfix/disclaimer.txt che detiene la nostra dichiarazione di non responsabilità. AlterMIME pacchetto Debian viene fornito con un testo di esempio che possiamo usare per ora (naturalmente, è possibile modificare se volete su esso):

cp /usr/share/doc/altermime/examples/disclaimer.txt /etc/postfix/disclaimer.txt

Infine dobbiamo dire Postfix che deve utilizzare lo script /etc/postfix/disclaimer per aggiungere dichiarazioni di non responsabilità ai messaggi di posta elettronica in uscita. Aprire /etc/postfix/master.cf e aggiungere -o content_filter = dfilt: per la linea di smtp :

vi /etc/postfix/master.cf
#
# Postfix master process configuration file.  For details on the format
# of the file, see the master(5) manual page (command: "man 5 master").
#
# Do not forget to execute "postfix reload" after editing this file.
#
# ==========================================================================
# service type  private unpriv  chroot  wakeup  maxproc command + args
#               (yes)   (yes)   (yes)   (never) (100)
# ==========================================================================
smtp      inet  n       -       -       -       -       smtpd
   -o content_filter=dfilt:
[...]

Alla fine dello stesso file, aggiungere le seguenti due righe:

[...]
dfilt     unix    -       n       n       -       -       pipe
    flags=Rq user=filter argv=/etc/postfix/disclaimer -f ${sender} -- ${recipient}

Riavviare Postfix in seguito:

/etc/init.d/postfix restart

Questo è tutto! Ora deve essere aggiunto un disclaimer in uscita e-mail inviate da indirizzi elencati in /etc/postfix/disclaimer_addresses.

 

  • alterMIME: http://pldaniels.com/altermime/
  • Postfix: http://www.postfix.org/
  • Debian: http://www.debian.org/

Piaciuto l'articolo? Condividilo sui social!

Share on facebook
Facebook
Share on twitter
Twitter
Share on linkedin
LinkedIn
Share on whatsapp
WhatsApp